Skip to content

Report a comment for moderation. The reasons list is configurable by the publisher; see GET /cms/comment/report/reasons for the current list. The default reasons are spam, harassment, hate_speech, misinformation, inappropriate_content, off_topic, terms_violation and other.

POST
/cms/comment/{id}/report
curl --request POST \
--url https://api.example.com/cms/comment/1/report \
--header 'API-Key: <API-Key>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Token: <Token>' \
--data '{ "reason": "spam", "report_text": "example" }'
id
required
integer

Comment ID

Report payload

Media typeapplication/json
object
reason
required

Reason for the report, from the predefined list of reasons returned by GET /cms/comment/report/reasons

string
Allowed values: spam harassment hate_speech misinformation inappropriate_content off_topic terms_violation other
report_text

Additional free-text details about the report (optional)

string

Comment reported

Media typeapplication/json
object
report_id

ID of the newly created report

integer

Example generated

{
"report_id": 1
}

Bad request

Unauthorized

Comment not found